// DOM ready
document.addEventListener("DOMContentLoaded", function() { 
    // dropdown menus
    let menuItems = document.querySelectorAll('.has-submenu');
    let subMenus = document.querySelectorAll('.submenu');

    for (let i = 0; i < menuItems.length; i++) {
        let menuItem = menuItems[i];
        let subMenu = subMenus[i];

        menuItem.addEventListener("mouseenter", () => {
            subMenu.classList.add('active');
        });
        menuItem.addEventListener("mouseleave", () => {
            subMenu.classList.remove('active');
        });
    }

    // background colors
    let colorPalettes = document.querySelectorAll('.color-button');

    for (let j = 0; j < colorPalettes.length; j++) {
        let colorPalette = colorPalettes[j];

        colorPalette.addEventListener("click", () => {
            compStyle = getComputedStyle(colorPalette);
            bgColorCode = compStyle.getPropertyValue("background-color");
            document.body.style.backgroundColor = bgColorCode;
        });
    }
});